
import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../talkApi.dart';
import 'createRoomParams.dart';
class CreateRoom extends TalkApi<void> {
  CreateRoomParams params;

  CreateRoom(this.params) : super("v4/room", params);

  @override
  assemble(String raw) {
  }

  @override
  Future<Response>? request(Uri uri, Object? body, Map<String, String>? headers) {
    if(body is CreateRoomParams) {
      return http.post(uri, headers: headers, body: body.toJson().map((key, value) => MapEntry(key, value.toString())));
    }

    return null;
  }
}